Snap _parallel
Is it possiable to have Snap to Parallel in BricsCad? I cant find it there
0
Comments
-
No. I use a lisp to rotate axes to match a line or 2 points if it's any help.
(Defun C:angl (/ a p1 p2 ang)(setvar "orthomode" 0)(setq a (entsel "\nPick Line: "))(if a (setq p1 (cdr (assoc 10 (entget (car a))))))(if a (setq p2 (cdr (assoc 11 (entget (car a))))))(if (not a)(setq p1 (getpoint "\nPick Point: ")))(if (not a)(setq p2 (getpoint p1 "\nPick other Point: ")))(setq ang (angle p1 p2))(if (not (= 0 (- ang ang)))(setq ang (/ ang -1)))(if (> ang 270)(setq ang (- ang 360))(if (> ang 180)(setq ang (- ang 180))(if (> ang 90)(setq ang (- ang 180)))))(prin1 (/ (* ANG 180) pi))(prin1)(if (= "" (getstring "\nRotate AXES ? <> "))(SETVAR "SNAPANG" ang))(setvar "orthomode" 1)(setvar "TEXTANGLE" ANG))
0 -
There is allotment in the object model for method snap_parallel so I'm sure that they will do what is necessary to implement that function.
0
This discussion has been closed.